Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboTypeMap

`java.lang.Object
oracle.jbo.common.JboTypeMap`

public class JboTypeMap
extends java.lang.Object

Internal: Applications should not use this class.

Field Summary
`static java.lang.String` | `ARRAY`
`static byte` | `CHAR`
`static byte` | `DATE`
`static byte` | `DEFAULT`
`static byte` | `NUMBER`

Constructor Summary
`JboTypeMap(java.lang.String columnType, java.lang.String javaType, java.lang.String sqlType, int sqlTypeId, java.lang.String size)`
`JboTypeMap(java.lang.String columnType, java.lang.String javaType, java.lang.String sqlType, int sqlTypeId, java.lang.String size, boolean bNumeric)`
`JboTypeMap(java.lang.String columnType, java.lang.String javaType, java.lang.String sqlType, int sqlTypeId, java.lang.String size, byte typeGroup)`
`JboTypeMap(java.lang.String attrType, java.lang.String columnType, java.lang.String sqlType, java.lang.String javaType, int sqlTypeId, java.lang.String size)`

Method Summary
`static java.lang.String` | `attrTypeToColumnType(java.lang.String attrType)`
`static java.lang.String` | `attrTypeToJavaType(java.lang.String attrType)`
`static java.lang.String` | `attrTypeToSQLType(java.lang.String attrType)`
`static java.lang.String` | `columnTypeToAttrType(java.lang.String colType)`
`static java.lang.String` | `columnTypeToJavaType(java.lang.String colType)`
`static java.lang.String` | `columnTypeToSQLType(java.lang.String colType)`
`static int` | `columnTypeToSQLTypeId(java.lang.String colType, int defaultID)`
`static java.lang.Object` | `convertValue(java.lang.Class toClass, java.lang.Class valClass, java.lang.Object val, int opId)`
`static JboTypeMap` | `findByColumnType(java.lang.String colType)`
`java.lang.String` | `getAttrType()`
`static java.lang.String[]` | `getAttrTypesForDisplay()`
`java.lang.String` | `getColumnType()`
`static java.lang.String` | `getDefaultColumnLength(java.lang.String colType)`
`static com.sun.java.util.collections.ArrayList` | `getDomainsWithNoXMLFactory()`
`java.lang.String` | `getJavaType()`
`static com.sun.java.util.collections.ArrayList` | `getMapList()`
`java.lang.String` | `getSize()`
`java.lang.String` | `getSQLType()`
`int` | `getSQLTypeId()`
`static int` | `getTypeGroup(int type)`
`static boolean` | `isCharType(int type)`
`static boolean` | `isDateType(int type)`
`static boolean` | `isNumericType(int type)`
`static java.lang.String` | `javaTypeToAttrType(java.lang.String javaType)`
`static java.lang.String` | `javaTypeToColumnType(java.lang.String javaType)`
`static java.lang.String` | `javaTypeToSQLType(java.lang.String javaType)`
`static int` | `javaTypeToSQLTypeId(java.lang.String javaType)`
`boolean` | `matchColumnType(java.lang.String typ)`
`static void` | `populateConversion(com.sun.java.util.collections.HashMap convMap)`
`static void` | `populateEntries()`
`static void` | `populateEntries(java.lang.String className)`
`static void` | `repopulateEntries(java.lang.String className)`
`static void` | `setMapList(com.sun.java.util.collections.ArrayList new_MapList)`
`static java.lang.String` | `sqlTypeIdToSQLType(int id)`
`static java.lang.String` | `sqlTypeToColumnTypeBase(java.lang.String sqlType)`
`static int` | `sqlTypeToSQLTypeId(java.lang.String sqlType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARRAY

    public static final java.lang.String ARRAY

  See Also:
    Constant Field Values

### DEFAULT

    public static byte DEFAULT

### CHAR

    public static byte CHAR

### NUMBER

    public static byte NUMBER

### DATE

    public static byte DATE

Constructor Detail

### JboTypeMap

    public JboTypeMap(java.lang.String columnType,
                      java.lang.String javaType,
                      java.lang.String sqlType,
                      int sqlTypeId,
                      java.lang.String size,
                      byte typeGroup)

### JboTypeMap

    public JboTypeMap(java.lang.String columnType,
                      java.lang.String javaType,
                      java.lang.String sqlType,
                      int sqlTypeId,
                      java.lang.String size,
                      boolean bNumeric)

### JboTypeMap

    public JboTypeMap(java.lang.String columnType,
                      java.lang.String javaType,
                      java.lang.String sqlType,
                      int sqlTypeId,
                      java.lang.String size)

### JboTypeMap

    public JboTypeMap(java.lang.String attrType,
                      java.lang.String columnType,
                      java.lang.String sqlType,
                      java.lang.String javaType,
                      int sqlTypeId,
                      java.lang.String size)

Method Detail

### repopulateEntries

    public static void repopulateEntries(java.lang.String className)

### getMapList

    public static com.sun.java.util.collections.ArrayList getMapList()

### setMapList

    public static void setMapList(com.sun.java.util.collections.ArrayList new_MapList)

### populateEntries

    public static void populateEntries()

### populateEntries

    public static void populateEntries(java.lang.String className)

### isNumericType

    public static boolean isNumericType(int type)

### getTypeGroup

    public static int getTypeGroup(int type)

### isCharType

    public static boolean isCharType(int type)

### isDateType

    public static boolean isDateType(int type)

### getAttrType

    public java.lang.String getAttrType()

### getSQLType

    public java.lang.String getSQLType()

### getJavaType

    public java.lang.String getJavaType()

### getSQLTypeId

    public int getSQLTypeId()

### getSize

    public java.lang.String getSize()

### getColumnType

    public java.lang.String getColumnType()

### matchColumnType

    public boolean matchColumnType(java.lang.String typ)

### findByColumnType

    public static JboTypeMap findByColumnType(java.lang.String colType)

### columnTypeToAttrType

    public static java.lang.String columnTypeToAttrType(java.lang.String colType)

### columnTypeToJavaType

    public static java.lang.String columnTypeToJavaType(java.lang.String colType)

### columnTypeToSQLType

    public static java.lang.String columnTypeToSQLType(java.lang.String colType)

### columnTypeToSQLTypeId

    public static int columnTypeToSQLTypeId(java.lang.String colType,
                                            int defaultID)

### getDefaultColumnLength

    public static java.lang.String getDefaultColumnLength(java.lang.String colType)

### sqlTypeToColumnTypeBase

    public static java.lang.String sqlTypeToColumnTypeBase(java.lang.String sqlType)

### sqlTypeToSQLTypeId

    public static int sqlTypeToSQLTypeId(java.lang.String sqlType)

### attrTypeToColumnType

    public static java.lang.String attrTypeToColumnType(java.lang.String attrType)

### attrTypeToJavaType

    public static java.lang.String attrTypeToJavaType(java.lang.String attrType)

### attrTypeToSQLType

    public static java.lang.String attrTypeToSQLType(java.lang.String attrType)

### javaTypeToAttrType

    public static java.lang.String javaTypeToAttrType(java.lang.String javaType)

### javaTypeToColumnType

    public static java.lang.String javaTypeToColumnType(java.lang.String javaType)

### javaTypeToSQLType

    public static java.lang.String javaTypeToSQLType(java.lang.String javaType)

### javaTypeToSQLTypeId

    public static int javaTypeToSQLTypeId(java.lang.String javaType)

### sqlTypeIdToSQLType

    public static java.lang.String sqlTypeIdToSQLType(int id)

### getAttrTypesForDisplay

    public static java.lang.String[] getAttrTypesForDisplay()

### populateConversion

    public static void populateConversion(com.sun.java.util.collections.HashMap convMap)

### convertValue

    public static java.lang.Object convertValue(java.lang.Class toClass,
                                                java.lang.Class valClass,
                                                java.lang.Object val,
                                                int opId)

### getDomainsWithNoXMLFactory

    public static com.sun.java.util.collections.ArrayList getDomainsWithNoXMLFactory()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.